#ifndef __CONC_H
#define __CONC_H

#include <gnome.h>
#include <glade/glade.h>
#include <gnet.h>
#include <gconf/gconf-client.h>
#include "i18n.h"
#include "mplex.h"
#include "message.h"
#include "matrix.h"
#include "status.h"

enum {
    CONSOLES_COLUMN_NAME,
    CONSOLES_COLUMN_LAST
};

enum {
    GROUPS_COLUMN_NAME,
    GROUPS_COLUMN_SUBSCRIBED,
    GROUPS_COLUMN_LAST
};

enum {
    LOGS_COLUMN_NAME,
    LOGS_COLUMN_LAST
};

enum {
    SERVERS_COLUMN_NAME,
    SERVERS_COLUMN_LAST
};

enum {
    USERS_COLUMN_NAME,
    USERS_COLUMN_LAST
};

typedef struct _Conc {
    gchar *glade_file;
    GnomeProgram *program;
    GConfClient *gconf;
    GladeXML *main_window;
    GTcpSocket *sock;
    Mplex mplex;
    MessageQueue msg_q;
    GtkNotebook *notebook;
    GtkMenuItem *menu_view_console;
    Matrix matrix;
    GtkListStore *all_consoles;
    GtkListStore *all_groups;
    GtkListStore *all_logs;
    GtkListStore *all_servers;
    GtkListStore *all_users;
    GList *groups; /* List of ConcGroup */
    GList *consoles; /* List of ConcConsole */
    GList *terminals; /* List of ConcTerminal */
    GdkPixbuf *ok_img;
    GdkPixbuf *failed_img;
    GdkPixbuf *active_img;
    gchar *current_group;
    gchar *current_console;
} Conc;

typedef struct _ConcStatus {
    const gchar *name;
    Status status;
    guint64 last_active;
} ConcStatus;

/*
 * GConf keys
 */
#define GCONF_ROOT			"/apps/conc/"
#define GCONF_SUBSCRIBED		GCONF_ROOT "subscribed_groups"
#define GCONF_MANAGER			GCONF_ROOT "manager"
#define GCONF_USER			GCONF_ROOT "user"

extern gchar *get_combobox_text(GladeXML *xml,
	const gchar *widget,
	GtkTreeModel *model,
	gint column);

extern void set_combobox_text(GladeXML *xml,
	const gchar *widget,
	GtkTreeModel *model,
	gint column,
	const gchar *value);

#endif
