#ifndef __GROUPS_H
#define __GROUPS_H

/*
 * group_add - add a new group to the notebook
 *
 */
extern void group_add(Conc *conc,
	const gchar *name,
	const GList *consoles);

/*
 * group_delete - remove a group from the notebook
 *
 */
extern void group_delete(Conc *conc,
	const gchar *name);

/*
 * group_select - notify the manager about the currently selected page
 *
 */
extern void group_select(Conc *conc,
	guint page);

/*
 * group_status - update the status indications of all the groups and all
 * the consoles of the selected group
 *
 */
extern void group_status(Conc *conc,
	const GList *cgroups,
	const GList *consoles);

/*
 * group_add_console -  add a console to a group
 *
 */
extern void group_add_console(Conc *conc,
	const gchar *group,
	const gchar *console);

/*
 * group_remove_console -  remove a console from a group
 *
 */
extern void group_remove_console(Conc *conc,
	const gchar *group,
	const gchar *console);

/*
 * groups_rename_console -  rename a console in all groups
 *
 */
extern void groups_rename_console(Conc *conc,
	const gchar *oldname,
	const gchar *newname);

/*
 * groups_rename_cgroup -  rename a console group in all groups
 *
 */
extern void groups_rename_cgroup(Conc *conc,
	const gchar *oldname,
	const gchar *newname);

/*
 * groups_save - save a gconf key representing the subscribed groups
 *
 */
extern void groups_save(Conc *conc);

#endif
