#ifndef __DATE_H
#define __DATE_H

#include <glib.h>

typedef guint64 Date;

/*
 * date_new - create a new date
 *
 */
extern Date date_new(guint year,
	guint month,
	guint day,
	guint hour,
	guint minute,
	guint second);

/*
 * date_now - return the current time
 *
 */
extern Date date_now(void);

/*
 * date_read - read a date from a string
 *
 * returns 0 if date invalid
 *
 */
extern Date date_read(const gchar *str,
	guint length,
	guint *bytes_read);

/*
 * date_print - print a date in standard format
 *
 * returned string belongs to caller.
 */
extern gchar *date_print(Date d);

/*
 * date_explode - output consituent parts of a date
 *
 */
extern void date_explode(Date d,
	guint *year,
	guint *month,
	guint *day,
	guint *hour,
	guint *minute,
	guint *second);

#endif
