#ifndef __SERIALIZE_H__
#define __SERIALIZE_H__

#include <glib.h>

/*
 * the serialize_* functions take data of a particular type and
 * serialise it into a GString. The GString then belongs to the caller.
 */

extern GString *serialize_uint8(guint8 data);
extern GString *serialize_uint16(guint16 data);
extern GString *serialize_uint32(guint32 data);
extern GString *serialize_uint64(guint64 data);
extern GString *serialize_string(GString *data);
extern GString *serialize_string_gchar(const gchar*data);

/*
 * the deserialize_* functions attempt to deserialise data of a
 * particular type from a GString, and modify the GString if they are
 * succesful. If the data can not be read the function does not modify
 * the GString and returns FALSE.
 */

extern gboolean deserialize_uint8(GString **string, guint8 *data);
extern gboolean deserialize_uint16(GString **string, guint16 *data);
extern gboolean deserialize_uint32(GString **string, guint32 *data);
extern gboolean deserialize_uint64(GString **string, guint64 *data);
extern gboolean deserialize_string(GString **string, GString **data);

#endif
