#ifndef __SPEC_CGROUP_H
#define __SPEC_CGROUP_H

#include "message.h"

/*
 * SpecCgroup - a structure representing a specification of a console group
 *
 */
typedef struct _SpecCgroup {
    gchar *name;
    GList *consoles; /*list of gchar */
} SpecCgroup;

/*
 * spec_cgroup_free - free a previously allocated SpecCgroup
 *
 */
extern void spec_cgroup_free(SpecCgroup *sg);

/*
 * spec_cgroup_message_arg - generate a message arg that encapsulates a
 * console group
 *
 */
extern MessageArg *spec_cgroup_message_arg(const gchar *name,
	const SpecCgroup *sg);

/*
 * spec_cgroup_new_from_arg - generate a SpecCgroup from a message arg
 *
 * The arg should have been created with spec_cgroup_message_arg().
 * Returns a newly allocated, caller owned SpecGroup, or NULL if invalid.
 *
 */
extern SpecCgroup *spec_cgroup_new_from_arg(const MessageArg *arg);


#endif
