#ifndef __SPEC_LOG_H
#define __SPEC_LOG_H

#include "message.h"

/*
 * SpecLog - a structure representing a specification of a log
 *
 */
typedef struct _SpecLog {
    gchar *name;
    gchar *server;
    gchar *file;
    GList *consoles; /* list of gchar * */
} SpecLog;

/*
 * spec_log_free - free a previously allocated SpecLog
 *
 */
extern void spec_log_free(SpecLog *sl);

/*
 * spec_log_message_arg - generate a message arg that encapsulates the SpecLog
 *
 */
extern MessageArg *spec_log_message_arg(const gchar *name,
	const SpecLog *sl);

/*
 * spec_log_new_from_arg - generate a SpecLog from a message arg
 *
 * The arg should have been created with spec_log_message_arg().
 * Returns a newly allocated, caller owned SpecLog, or NULL if arg was
 * invalid.
 *
 */
extern SpecLog *spec_log_new_from_arg(const MessageArg *arg);

#endif
