#include "spec-user.h"

#define SPEC_USER_USER	    "SpecUser_user"
#define SPEC_USER_PASSWORD  "SpecUser_password"

extern void
spec_user_free(SpecUser *su) {
    g_assert(su);
    if (su->user) {
	g_free(su->user);
    }
    if (su->password) {
	g_free(su->password);
    }
    g_free(su);
}

extern MessageArg *
spec_user_message_arg(const gchar *name,
	const SpecUser *su) {
    MessageArg *a;

    g_assert(name);
    g_assert(su);
    a = message_arg_list(name, NULL);
    a->list = g_list_prepend(a->list,
		message_arg_string(SPEC_USER_USER, su->user?su->user:""));
    a->list = g_list_prepend(a->list,
		message_arg_string(SPEC_USER_PASSWORD,
		    su->password?su->password:""));
    return a;
}

extern SpecUser *
spec_user_new_from_arg(const MessageArg *arg) {
    MessageArg *user;
    MessageArg *password;
    SpecUser *su;

    g_assert(arg);
    if (arg->type != MESSAGE_ARG_LIST) return NULL;
    if (message_arg_list_explode(arg,
		SPEC_USER_USER, MESSAGE_ARG_STRING, &user,
		SPEC_USER_PASSWORD, MESSAGE_ARG_STRING, &password,
		NULL, 0, NULL) == FALSE) {
	return NULL;
    }
    su = g_new0(struct _SpecUser, 1);
    su->user = g_strdup(user->string->str);
    su->password = g_strdup(password->string->str);
    return su;
}

