#ifndef __SPEC_USER_H
#define __SPEC_USER_H

#include "message.h"

/*
 * SpecUser - a structure representing a specification of a user
 *
 */
typedef struct _SpecUser {
    gchar *user;
    gchar *password;
} SpecUser;

/*
 * spec_user_free - free a previously allocated SpecUser
 *
 */
extern void spec_user_free(SpecUser *su);

/*
 * spec_user_message_arg - generate a message arg that encapsulates the SpecUser
 *
 */
extern MessageArg *spec_user_message_arg(const gchar *name,
	const SpecUser *su);

/*
 * spec_user_new_from_arg - generate a SpecUser from a message arg
 *
 * The arg should have been created with spec_user_message_arg().
 * Returns a newly allocated, caller owned SpecUser, or NULL if arg was
 * invalid.
 * 
 */
extern SpecUser *spec_user_new_from_arg(const MessageArg *arg);


#endif
