#include "status.h"

extern MessageArg *
status_message_arg(const gchar *name,
	Status status) {
    switch (status) {
	case STATUS_OK:
	    return message_arg_uint8(name, 0);
	case STATUS_ACTIVE:
	    return message_arg_uint8(name, 1);
	case STATUS_BROKEN:
	    return message_arg_uint8(name, 2);
	default:
	    g_assert_not_reached();
    }
    return NULL;
}

extern gboolean
status_from_arg(const MessageArg *arg,
	Status *status) {
    Status s;

    if (arg->type != MESSAGE_ARG_UINT8) {
	return FALSE;
    }
    switch (arg->uint8) {
	case 0:
	    s = STATUS_OK;
	    break;
	case 1:
	    s = STATUS_ACTIVE;
	    break;
	case 2:
	    s = STATUS_BROKEN;
	    break;
	default:
	    return FALSE;
    }
    if (status != NULL) {
	*status = s;
    }
    return TRUE;
}
