#ifndef __STATUS_H
#define __STATUS_H

#include "message.h"

/*
 * Status - a type representing the status of a console or console group
 *
 */
typedef enum {
    STATUS_OK,
    STATUS_ACTIVE,
    STATUS_BROKEN
} Status;

/*
 * status_message_arg - generate a message arg that encapsulttes the Status.
 *
 * The returned MessageArg belongs to the caller.
 *
 */
extern MessageArg *status_message_arg(const gchar *name,
	Status status);

/*
 * status_from_arg - generate a Status from a MessageArg
 *
 * The argument should have been created with status_message_arg().
 * Returns TRUE, setting the status, or FALSE if the MessageArg was invalid.
 *
 */
extern gboolean status_from_arg(const MessageArg *arg,
	Status *status);

#endif
