#ifndef __SVR_MESSAGE_H
#define __SVR_MESSAGE_H

#define SERVER_MESSAGE_OPEN_CONSOLE "s_CON_OPEN"
/*
 * DIRECTION:
 *	manager -> server
 * MESSAGE:
 *	(list) ->
 *	    device(string)
 *	    ispeed(uint32)
 *	    ospeed(uint32)
 *	    data_bits(uint8)
 *	    parity(string)	"even", "odd", or "none"
 *	    stop_bits(uint8)
 *
 * RESPONSE:
 *	channel(uint16)
 *
 * ERROR:
 *	0 - no such port
 *	1 - error opening port
 */

#define SERVER_MESSAGE_OPEN_IPMI "s_IMPI_OPEN"
/*
 * DIRECTION:
 *	manager -> server
 * MESSAGE:
 *	(list) ->
 *	    [SpecImpi]
 *
 * RESPONSE:
 *	channel(uint16)
 *
 * ERROR:
 *	0 - no such port
 *	1 - error opening port
 */


#define SERVER_MESSAGE_OPEN_LOG "s_LOG_OPEN"
/*
 * DIRECTION:
 *	manager -> server
 * MESSAGE:
 *	(list) ->
 *	    file(format)
 *
 * RESPONSE:
 *	channel(uint16)
 *
 * ERROR:
 *	0 - no such file
 *	1 - error opening file
 */


#define SERVER_MESSAGE_QUERY_LOG "s_LOG_QUERY"
/*
 * DIRECTION:
 *	manager -> server
 * MESSAGE:
 *	query(list) ->
 *	    log(string) - filename
 *	    start_time(uint64)
 *	    end_time(uint64)
 *	    max_lines(uint32)
 *	    console(string) - optional
 *
 * RESPONSE:
 *	channel(uint16)
 *
 * ERROR:
 *	0 - no such file
 *	1 - error opening file
 */


#define SERVER_MESSAGE_PING "s_PING"
/*
 * DIRECTION:
 *	manager -> server
 * MESSAGE:
 *	(none)
 * 
 * RESPONSE:
 *	(none)
 */



#endif
