#include "svr.h"
#include "ping.h"
#include "svr-message.h"

static void
ping(MessageQueue q,
	const gchar *name,
	MessageID id,
	const MessageArg *arg,
	gpointer data) {
    MessageArg *a;
    GError *e = NULL;

    a = message_arg_none("");
    if (message_respond(q, id, a, &e) == FALSE) {
	g_printerr(_("failed to send reponse (%s)\n"), e->message);
	g_clear_error(&e);
    }
    message_arg_free(a);
}

extern void
ping_register_message_handlers(Server *server) {
    GError *e = NULL;

    g_assert(server);

    if (server->msg_q == NULL) {
	return;
    }
    if (message_handler_register(server->msg_q, SERVER_MESSAGE_PING,
		ping, server, &e) == FALSE) {
	g_printerr(_("could not register handler %s (%s)\n"),
		SERVER_MESSAGE_QUERY_LOG, e->message);
    }
}
